#!/bin/bash

 STEPS=54

 OUTPUTDIR=o
 TMPDIR=tmp
 PDFLIST=$TMPDIR/pdfs.list
 TMPTEX=grafik2slits.tex

# ------------------------------------------------- #
  find i/pdf/ -name "*.pdf" | \
  shuf -n 54 > $PDFLIST
# ------------------------------------------------- #



  echo "\documentclass[9pt]{scrbook}                  " >  $TMPTEX
  echo "\usepackage{pdfpages}                         " >> $TMPTEX
  echo "\usepackage{geometry}                         " >> $TMPTEX
  echo "\usepackage{footnotes}                       " >> $TMPTEX
  echo "\usepackage{nopageno}                       " >> $TMPTEX

  echo "\geometry{paperwidth=595pt,paperheight=842pt} " >> $TMPTEX


  echo "\usepackage[pdftex]{epsfig}                   " >> $TMPTEX
  echo "\usepackage[para]{footmisc}                   " >> $TMPTEX


  echo "\setlength\topmargin{0.2in}                   " >> $TMPTEX
  echo "\setlength\oddsidemargin{-0.1in}               " >> $TMPTEX
  echo "\setlength\textwidth{0.8\paperwidth}          " >> $TMPTEX

  echo "\newcommand{                                  " >> $TMPTEX
  echo "\graphic}[2]{           		      " >> $TMPTEX
  echo "\makebox[0.115\paperwidth][c]{                      " >> $TMPTEX
  echo "\includegraphics[width=0.1\paperwidth]{#1}    " >> $TMPTEX
  echo "\hspace{-0.6cm}                               " >> $TMPTEX
#  echo "\footnotemark[\value{footnote}]		      " >> $TMPTEX

  echo "\footnote{#2}                                 " >> $TMPTEX

  echo "}					     " >> $TMPTEX
  echo "}                                             " >> $TMPTEX

  echo "\begin{document}                              " >> $TMPTEX
  echo "\pagestyle{plain}			      " >> $TMPTEX
  echo "\hspace{-0.538cm}                               " >> $TMPTEX


  # ------------------------------------------------------- #

    COUNT=0
    CNT=0
   # while [ $CNT -lt $STEPS ]
    for PDF in `cat $PDFLIST`
      do

   #     PDF=`cat $PDFLIST | shuf -n 1`
        IMAGENAME=`basename $PDF`
        FOOTNOTE=`echo ${IMAGENAME%.*} | sed 's/\___/./g'`
        
        echo  "\graphic{"$PDF"}{"$FOOTNOTE"}            " >> $TMPTEX

        echo  "\footnotetext[\value{footnote}]{"$FOOTNOTE"}              " >> $TMPTEX
        COUNT=`expr $COUNT + 1`
        CNT=`expr $CNT + 1`


	if [ $CNT = 4 ] ; then

		echo "\hspace{-0.25cm}			" >> $TMPTEX

	fi

	
	if [ $COUNT -gt 5 ] ; then
		
		echo "\newline 				" >> $TMPTEX
		COUNT=0

#	else

	#	echo "\hfill				" >> $TMPTEX


	fi
		
    done

  
  # ------------------------------------------------------- #

 echo "\end{document}                                " >> $TMPTEX

 pdflatex -output-directory $OUTPUTDIR $TMPTEX
 
 pdftk o/pdf/poster_unterzeile.pdf background o/grafik2slits.pdf output o/poster/servus_final.pdf

 #rm $TMPTEX

exit 0;


